Bug 2298 - [sio] [patch] [request] support for DSR/DCD swapping on serial ports (sio)
Summary: [sio] [patch] [request] support for DSR/DCD swapping on serial ports (sio)
Status: Closed Rejected
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 2.1.6-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1996-12-27 14:30 UTC by root
Modified: 2019-01-08 21:33 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (3.25 KB, patch)
1996-12-27 14:30 UTC, root
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description root 1996-12-27 14:30:01 UTC
	This change can benefit anyone using multiport serial cards that
	employ 10 pin RJ45 connectors (also known as RJ68) to distribute the
	data signals.  These include but are not limited to the Boca 16 port
	serial board and and Digi PC/x cards with RJ68 fanout plugs.

	The pinout of the RJ68 connections has DCD on pin 1 and RI on pin 10.
	As the RI signal is not generally required in an ISP environment,
	and DCD is, I've added a flag bit in sio.c to support swapping DCD
	and DSR.

	This is also a common feature found on most Digi drivers, the company
	being aware that RJ68 connectors and all the related stuff are hard to
	find and/or expensive.

How-To-Repeat: 
	N/R
Comment 1 Julian Elischer 1996-12-27 18:45:25 UTC
Your change is much more likely to be accepted if you also include
about 2 paragraphs of description in a diff to the sio man page,
so that this change is not lost in obscurity.

julian.
Comment 2 Poul-Henning Kamp freebsd_committer 1998-04-14 19:58:50 UTC
State Changed
From-To: open->suspended

->suspend 

Comment 3 harry685 2002-07-05 20:11:27 UTC
You have a syntax error in your patch.  Delete the first #endif to fix it.
Comment 4 Eugene Grosbein freebsd_committer 2018-02-02 20:15:20 UTC
Not "in progress" really.
Comment 5 Warner Losh freebsd_committer 2019-01-08 21:33:49 UTC
We're not adding new features to the SIO driver, so closing this bug. If you rework your patches for the uart(4) driver, and this is still relevant to you, please open a new bug and CC me.